//****************************************
// effect.h
//****************************************

/*
	Copyright 2000, Be Incorporated.   All Rights Reserved.
	This file may be used under the terms of the Be Sample Code License.
*/

#ifndef EFFECT_H
#define EFFECT_H

#include <SupportDefs.h>

class BView;

//****************************************
//Effect class
class Effect
{
public:
	Effect();
	virtual ~Effect();
	
	//operations
	virtual BView*		Generate() = 0;
};

//****************************************

#endif //EFFECT_H
